<div class="cui-input-info" *ngIf="label || count || infoChildren.length">
  <cui-form-field-label class="cui-mb0" *ngIf="label" [for]="control?.id" (click)="focus($event)">{{label}}</cui-form-field-label>
  <div class="cui-input-info-right" *ngIf="count || infoChildren.length">
    <ng-content select="[cuiFormInfo]"></ng-content>
    <span *ngIf="count" class="cui-input-count" [class.cui-ml2]="infoChildren.length">{{count$ | async}}<ng-container *ngIf="control?.maxlength">/{{control?.maxlength}}</ng-container></span>
  </div>
</div>
<div class="cui-input-wrapper">
  <div class="cui-input-prefix" *ngIf="prefixChildren?.length" (click)="focus()">
    <ng-content select="[cuiFormPrefix]"></ng-content>
  </div>
  <ng-content></ng-content>
  <div class="cui-input-suffix" *ngIf="suffixChildren?.length" (click)="focus()">
    <ng-content select="[cuiFormSuffix]"></ng-content>
  </div>
</div>
<div class="cui-input-hints" [id]="control?.id + '-hint'" *ngIf="hintChildren?.length || control?.ngControl?.touched && control?.ngControl?.invalid">
  <ng-template #hints>
    <ng-content select="[cuiFormHint]"></ng-content>
  </ng-template>
  <ng-container *ngIf="control?.ngControl?.touched && control?.ngControl?.invalid; else hints">
    <p class="cui-input-error" *ngFor="let error of control?.ngControl?.errors | keyvalue">{{error.key | formFieldError : error.value : errors}}</p>
  </ng-container>
</div>
